//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Order
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Order()
        {
            this.DeliveryOrders = new HashSet<DeliveryOrder>();
            this.OrderDetails = new HashSet<OrderDetail>();
            this.OrderPayments = new HashSet<OrderPayment>();
            this.ProductSkus = new HashSet<ProductSku>();
            this.Transactions = new HashSet<Transaction>();
            this.TransactionDetails = new HashSet<TransactionDetail>();
        }
    
        public int OrderId { get; set; }
        public int CustomerId { get; set; }
        public int Channel { get; set; }
        public decimal Total { get; set; }
        public Nullable<decimal> IVA { get; set; }
        public Nullable<decimal> Discount_Percent { get; set; }
        public Nullable<decimal> Discount { get; set; }
        public Nullable<decimal> IVA_Percent { get; set; }
        public Nullable<int> InvoiceNumber { get; set; }
        public int PaymentMethodId { get; set; }
        public int PaymentStatusId { get; set; }
        public int DeliveryMethodId { get; set; }
        public string DeliveryAddress { get; set; }
        public int DeliveryStatusId { get; set; }
        public Nullable<System.DateTime> DeliveryDate { get; set; }
        public int OrderStatusId { get; set; }
        public Nullable<decimal> ShippingCost { get; set; }
        public Nullable<int> ShippingDays { get; set; }
        public Nullable<int> CouponId { get; set; }
        public string Observations { get; set; }
        public int CurrenyId { get; set; }
        public bool Active { get; set; }
        public Nullable<System.DateTime> Prepared { get; set; }
        public string PreparedBy { get; set; }
        public string Controled { get; set; }
        public string ControledBy { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public decimal TotalCost { get; set; }
        public Nullable<System.DateTime> Modified { get; set; }
        public string ModifiedBy { get; set; }
        public bool UseMaxDiscount { get; set; }
        public int PriceList { get; set; }
        public Nullable<int> SalerId { get; set; }
        public Nullable<decimal> Surcharge { get; set; }
        public Nullable<decimal> SurchargeAmount { get; set; }
        public string RequestKey { get; set; }
        public Nullable<int> MPAccountId { get; set; }
        public Nullable<int> OcaCenterId { get; set; }
        public string ZipCode { get; set; }
        public string AddressAndreani { get; set; }
        public string AddressNumberAndreani { get; set; }
        public string BranchAndreani { get; set; }
        public Nullable<int> StoreId { get; set; }
        public Nullable<int> DecidirPaymentId { get; set; }
        public int StoreType { get; set; }
        public Nullable<System.Guid> GUID { get; set; }
        public Nullable<int> DestinationShipmentId { get; set; }
        public Nullable<int> BankInterestId { get; set; }
        public Nullable<System.DateTime> ConfirmedDate { get; set; }
        public string ReceiptAmount { get; set; }
    
        public virtual BankInterest BankInterest { get; set; }
        public virtual Coupon Coupon { get; set; }
        public virtual Customer Customer { get; set; }
        public virtual DeliveryMethod DeliveryMethod { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DeliveryOrder> DeliveryOrders { get; set; }
        public virtual MPAccount MPAccount { get; set; }
        public virtual OrderStatu OrderStatu { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OrderDetail> OrderDetails { get; set; }
        public virtual PaymentStatu PaymentStatu { get; set; }
        public virtual Store Store { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OrderPayment> OrderPayments { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProductSku> ProductSkus { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Transaction> Transactions { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<TransactionDetail> TransactionDetails { get; set; }
    }
}
